## org.apache.fop.dom.svg
Class SVGLengthListImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGListImpl
            |
            +--org.apache.fop.dom.svg.SVGLengthListImpl

public class SVGLengthListImpl
extends SVGListImpl
implements org.w3c.dom.svg.SVGLengthList

a length quantity in XSL

Field Summary
`protected float` `fontsize`

Constructor Summary
`SVGLengthListImpl()`
`SVGLengthListImpl(java.lang.String len)` set the length given a particular String specifying length and units
`SVGLengthListImpl(java.lang.String len, int fontsize)` set the length given a particular String specifying length and units, and the font-size (necessary for an em)

Method Summary
`org.w3c.dom.svg.SVGLength` `appendItem(org.w3c.dom.svg.SVGLength newItem)`
`protected void` `convert(java.lang.String len)`
`org.w3c.dom.svg.SVGLength` `createItem()`
`protected float` `getFloatValue(java.lang.String len, int l)`
`org.w3c.dom.svg.SVGLength` `getItem(int index)`
`org.w3c.dom.svg.SVGLength` `initialize(org.w3c.dom.svg.SVGLength newItem)`
`org.w3c.dom.svg.SVGLength` `insertItemBefore(org.w3c.dom.svg.SVGLength newItem, int index)`
`org.w3c.dom.svg.SVGLength` `removeItem(int index)`
`org.w3c.dom.svg.SVGLength` `replaceItem(org.w3c.dom.svg.SVGLength newItem, int index)`
`void` `setValueAsString(java.lang.String valueAsString)`

Methods inherited from class org.apache.fop.dom.svg.SVGListImpl
`clear, getNumberOfItems, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fontsize

    protected float fontsize

Constructor Detail

### SVGLengthListImpl

    public SVGLengthListImpl(java.lang.String len)

  set the length given a particular String specifying length and units

### SVGLengthListImpl

    public SVGLengthListImpl()

### SVGLengthListImpl

    public SVGLengthListImpl(java.lang.String len,
                             int fontsize)

  set the length given a particular String specifying length and units, and the font-size (necessary for an em)

Method Detail

### setValueAsString

    public void setValueAsString(java.lang.String valueAsString)

### convert

    protected void convert(java.lang.String len)

### getFloatValue

    protected float getFloatValue(java.lang.String len,
                                  int l)

### initialize

    public org.w3c.dom.svg.SVGLength initialize(org.w3c.dom.svg.SVGLength newItem)
                                         throws org.w3c.dom.svg.SVGException

  Specified by:
    initialize in interface org.w3c.dom.svg.SVGLengthList

### createItem

    public org.w3c.dom.svg.SVGLength createItem()

### getItem

    public org.w3c.dom.svg.SVGLength getItem(int index)
                                      throws org.w3c.dom.DOMException

  Specified by:
    getItem in interface org.w3c.dom.svg.SVGLengthList

### removeItem

    public org.w3c.dom.svg.SVGLength removeItem(int index)
                                         throws org.w3c.dom.DOMException

  Specified by:
    removeItem in interface org.w3c.dom.svg.SVGLengthList

### appendItem

    public org.w3c.dom.svg.SVGLength appendItem(org.w3c.dom.svg.SVGLength newItem)
                                         throws org.w3c.dom.svg.SVGException

  Specified by:
    appendItem in interface org.w3c.dom.svg.SVGLengthList

### replaceItem

    public org.w3c.dom.svg.SVGLength replaceItem(org.w3c.dom.svg.SVGLength newItem,
                                                 int index)
                                          throws org.w3c.dom.DOMException,
                                                 org.w3c.dom.svg.SVGException

  Specified by:
    replaceItem in interface org.w3c.dom.svg.SVGLengthList

### insertItemBefore

    public org.w3c.dom.svg.SVGLength insertItemBefore(org.w3c.dom.svg.SVGLength newItem,
                                                      int index)
                                               throws org.w3c.dom.svg.SVGException

  Specified by:
    insertItemBefore in interface org.w3c.dom.svg.SVGLengthList

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.